### Method

# Soup MessageHeaders get_content_type

#### Declaration [src]

    const char*
    soup_message_headers_get_content_type (
      SoupMessageHeaders* hdrs,
      GHashTable** params
    )

#### Description [src]

Looks up the “Content-Type” header in `hdrs`, parses it, and returns its value in `content_type` and `params`.

`params` can be `NULL` if you are only interested in the content type itself.

#### Parameters

`params` | `GHashTable`
| return location for the Content-Type parameters (eg, “charset”), or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `const char*`
| A string with the value of the “Content-Type” header or `NULL` if `hdrs` does not contain that header or it cannot be parsed (in which case *`params` will be unchanged).
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.